### Enumeration

# Qmi UimCardApplicationState

since: 1.10

#### Declaration

    enum Qmi.UimCardApplicationState

#### Description [src]

Card application state.

Available since: 1.10

#### Members

`QMI_UIM_CARD_APPLICATION_STATE_UNKNOWN`

  Unknown.

  - Value: `0`
  - Available since: 1.10
`QMI_UIM_CARD_APPLICATION_STATE_DETECTED`

  Detected.

  - Value: `1`
  - Available since: 1.10
`QMI_UIM_CARD_APPLICATION_STATE_PIN1_OR_UPIN_PIN_REQUIRED`

  PIN1 or UPIN PIN required.

  - Value: `2`
  - Available since: 1.10
`QMI_UIM_CARD_APPLICATION_STATE_PUK1_OR_UPIN_PUK_REQUIRED`

  PUK1 or UPIN PUK required.

  - Value: `3`
  - Available since: 1.10
`QMI_UIM_CARD_APPLICATION_STATE_CHECK_PERSONALIZATION_STATE`

  Personalization state must be checked.

  - Value: `4`
  - Available since: 1.10
`QMI_UIM_CARD_APPLICATION_STATE_PIN1_BLOCKED`

  PIN1 blocked.

  - Value: `5`
  - Available since: 1.10
`QMI_UIM_CARD_APPLICATION_STATE_ILLEGAL`

  Illegal.

  - Value: `6`
  - Available since: 1.10
`QMI_UIM_CARD_APPLICATION_STATE_READY`

  Ready.

  - Value: `7`
  - Available since: 1.10

#### Type functions

###### qmi_uim_card_application_state_get_string

Gets the nickname string for the `QmiUimCardApplicationState` specified at `val`.

since: 1.10